NX Open C++ Reference Guide
|
Represents a @link Features::StudioXform Features::StudioXform@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStudioXformBuilder Features::FeatureCollection::CreateStudioXformBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Features::StudioXformBuilder::AdvancedMethodType | AdvancedMethod () |
Returns the advanced method | |
NXOpen::Point * | CenterPoint () |
Returns the scaling center type | |
void | ChangeDegree (NXOpen::NXObject *xformObject) |
Changes degree of the selected xform object | |
void | ChangeFlexibility (NXOpen::NXObject *xformObject) |
Changes flexibility of the selected xform object | |
NXOpen::GeometricUtilities::Continuity * | ContinuityUMax () |
Returns the continuity at U maximum | |
NXOpen::GeometricUtilities::Continuity * | ContinuityUMin () |
Returns the continuity at U minimum | |
NXOpen::GeometricUtilities::Continuity * | ContinuityVMax () |
Returns the continuity at V maximum | |
NXOpen::GeometricUtilities::Continuity * | ContinuityVMin () |
Returns the continuity at V minimum | |
NXOpen::GeometricUtilities::ControlPoleManagerData * | ControlPoleManager () |
Returns the control pole manager | |
void | ConvertParameters (NXOpen::NXObject *xformObject) |
Converts parameters of the feature that owns selected xform object. | |
NXOpen::GeometricUtilities::CurveRangeBuilder * | CurveRange () |
Returns the curve range | |
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder * | DegreesAndSegmentsOrPatches () |
Returns the degrees and segments or patches | |
void | FallOffReset () |
Reset the fall off scale | |
double | FallOffScale () |
Returns the fall off scale | |
NXOpen::Features::StudioXformBuilder::FeatureType | FeatureSaveMethod () |
Returns the feature save method | |
void | InsertKnot (NXOpen::NXObject *xformObject) |
Inserts knot in the selected xform object | |
NXOpen::Features::StudioXformBuilder::InsertKnotDirectionType | InsertKnotDirection () |
Returns the insert knot direction | |
int | InsertKnotParameter () |
Returns the parameter where to insert knots | |
void | InsertKnots () |
Insert knots | |
bool | IsSingleSelection () |
Returns the single selection flag | |
bool | KeepAllContinuity () |
Returns a value indicating whether to keep all continuity | |
int | LockRegionUEndFlexibility () |
Returns the lock region flexibility at U end | |
int | LockRegionUStartFlexibility () |
Returns the lock region flexibility at U start | |
int | LockRegionVEndFlexibility () |
Returns the lock region flexibility at V end | |
int | LockRegionVStartFlexibility () |
Returns the lock region flexibility at V start | |
NXOpen::Point * | PivotPoint () |
Returns the rotating center | |
NXOpen::Plane * | PlanarizeArbitraryPlane () |
Returns the planarize arbitrary plane | |
NXOpen::Features::StudioXformBuilder::PlanarizeDirectionType | PlanarizeDirection () |
Returns the planarize direction | |
NXOpen::Features::StudioXformBuilder::PlanarizeMethodType | PlanarizeMethod () |
Returns the planarize method | |
NXOpen::Features::StudioXformBuilder::PlanarizePlaneOptionType | PlanarizePlaneOption () |
Returns the planarize plane option | |
bool | ProportionalAllU () |
Returns a value indicating whether to use all poles in U direction during the proportional movement | |
bool | ProportionalAllV () |
Returns a value indicating whether to use all poles in V direction during the proportional movement | |
double | ProportionalFallOffScale () |
Returns the proportional fall off scale | |
int | ProportionalMoveAfterU () |
Returns a value indicating the pole number after u to participate in the proportional movement | |
int | ProportionalMoveAfterV () |
Returns a value indicating the pole number after v to participate in the proportional movement | |
int | ProportionalMoveBeforeU () |
Returns a value indicating the pole number before u to participate in the proportional movement | |
int | ProportionalMoveBeforeV () |
Returns a value indicating the pole number before v to participate in the proportional movement | |
void | ProportionalReset () |
Reset the proportional scale | |
NXOpen::Features::StudioXformBuilder::RotatingPivotType | RotatingPivot () |
Returns the rotating center type | |
NXOpen::Plane * | RotationArbitraryPlane () |
Returns the rotation arbitrary plane. | |
NXOpen::Direction * | RotationArbitraryVector () |
Returns the rotation arbitrary vector. | |
NXOpen::Features::StudioXformBuilder::RotationDirectionType | RotationDirection () |
Returns the rotation direction | |
NXOpen::Plane * | ScalingArbitraryPlane () |
Returns the scaling arbitrary plane. | |
NXOpen::Direction * | ScalingArbitraryVector () |
Returns the scaling arbitrary vector. | |
NXOpen::Features::StudioXformBuilder::ScalingCenterType | ScalingCenter () |
Returns the scaling center | |
NXOpen::Features::StudioXformBuilder::ScalingDirectionType | ScalingDirection () |
Returns the scaling direction | |
void | SetAdvancedMethod (NXOpen::Features::StudioXformBuilder::AdvancedMethodType advancedMethod) |
Sets the advanced method | |
void | SetCenterPoint (NXOpen::Point *centerPoint) |
Sets the scaling center type | |
void | SetFallOffScale (double fallOffScale) |
Sets the fall off scale | |
void | SetFeatureSaveMethod (NXOpen::Features::StudioXformBuilder::FeatureType featureSaveMethod) |
Sets the feature save method | |
void | SetInsertKnotDirection (NXOpen::Features::StudioXformBuilder::InsertKnotDirectionType insertKnotDirection) |
Sets the insert knot direction | |
void | SetInsertKnotParameter (int insertKnotSlider) |
Sets the parameter where to insert knots | |
void | SetKeepAllContinuity (bool keepAllContinuity) |
Sets a value indicating whether to keep all continuity | |
void | SetLockRegionUEndFlexibility (int lockRegionUEndFlexibility) |
Sets the lock region flexibility at U end | |
void | SetLockRegionUStartFlexibility (int lockRegionUStartFlexibility) |
Sets the lock region flexibility at U start | |
void | SetLockRegionVEndFlexibility (int lockRegionVEndFlexibility) |
Sets the lock region flexibility at V end | |
void | SetLockRegionVStartFlexibility (int lockRegionVStartFlexibility) |
Sets the lock region flexibility at V start | |
void | SetPivotPoint (NXOpen::Point *pivotPoint) |
Sets the rotating center | |
void | SetPlanarizeArbitraryPlane (NXOpen::Plane *planarizeArbitraryPlane) |
Sets the planarize arbitrary plane | |
void | SetPlanarizeDirection (NXOpen::Features::StudioXformBuilder::PlanarizeDirectionType planarizeDirection) |
Sets the planarize direction | |
void | SetPlanarizeMethod (NXOpen::Features::StudioXformBuilder::PlanarizeMethodType planarizeMethod) |
Sets the planarize method | |
void | SetPlanarizePlaneOption (NXOpen::Features::StudioXformBuilder::PlanarizePlaneOptionType planarizePlaneOption) |
Sets the planarize plane option | |
void | SetProportionalAllU (bool proportionalAllU) |
Sets a value indicating whether to use all poles in U direction during the proportional movement | |
void | SetProportionalAllV (bool proportionalAllV) |
Sets a value indicating whether to use all poles in V direction during the proportional movement | |
void | SetProportionalFallOffScale (double proportionalFallOffScale) |
Sets the proportional fall off scale | |
void | SetProportionalMoveAfterU (int proportionalMoveAfterU) |
Sets a value indicating the pole number after u to participate in the proportional movement | |
void | SetProportionalMoveAfterV (int proportionalMoveAfterV) |
Sets a value indicating the pole number after v to participate in the proportional movement | |
void | SetProportionalMoveBeforeU (int proportionalMoveBeforeU) |
Sets a value indicating the pole number before u to participate in the proportional movement | |
void | SetProportionalMoveBeforeV (int proportionalMoveBeforeV) |
Sets a value indicating the pole number before v to participate in the proportional movement | |
void | SetRotatingPivot (NXOpen::Features::StudioXformBuilder::RotatingPivotType rotatePivot) |
Sets the rotating center type | |
void | SetRotationArbitraryPlane (NXOpen::Plane *rotateArbitraryPlane) |
Sets the rotation arbitrary plane. | |
void | SetRotationArbitraryVector (NXOpen::Direction *rotateArbitraryVector) |
Sets the rotation arbitrary vector. | |
void | SetRotationDirection (NXOpen::Features::StudioXformBuilder::RotationDirectionType rotateDirection) |
Sets the rotation direction | |
void | SetScalingArbitraryPlane (NXOpen::Plane *scaleArbitraryPlane) |
Sets the scaling arbitrary plane. | |
void | SetScalingArbitraryVector (NXOpen::Direction *scaleArbitraryVector) |
Sets the scaling arbitrary vector. | |
void | SetScalingCenter (NXOpen::Features::StudioXformBuilder::ScalingCenterType scaleCenter) |
Sets the scaling center | |
void | SetScalingDirection (NXOpen::Features::StudioXformBuilder::ScalingDirectionType scaleDirection) |
Sets the scaling direction | |
void | SetSingleSelection (bool singleSelectionFlag) |
Sets the single selection flag | |
void | SetTranslationArbitraryPlane (NXOpen::Plane *translateArbitraryPlane) |
Sets the translation arbitrary plane. | |
void | SetTranslationArbitraryVector (NXOpen::Direction *translateArbitraryVector) |
Sets the translation arbitrary vector. | |
void | SetTranslationDirection (NXOpen::Features::StudioXformBuilder::TranslationDirectionType translateDirection) |
Sets the translation direction | |
void | SetType (NXOpen::Features::StudioXformBuilder::Types type) |
Sets the type | |
void | ShapeReset () |
Reset the shape of a edited face or curve | |
NXOpen::GeometricUtilities::SurfaceRangeBuilder * | SurfaceRange () |
Returns the surface range | |
NXOpen::Plane * | TranslationArbitraryPlane () |
Returns the translation arbitrary plane. | |
NXOpen::Direction * | TranslationArbitraryVector () |
Returns the translation arbitrary vector. | |
NXOpen::Features::StudioXformBuilder::TranslationDirectionType | TranslationDirection () |
Returns the translation direction | |
NXOpen::Features::StudioXformBuilder::Types | Type () |
Returns the type | |
void | UpdateLockRegionGeometry (NXOpen::NXObject *xformObject) |
Update lock region geometry with current geometry | |
void | UpdateXformObject (NXOpen::NXObject *xformObject) |
Updates the selected xform object | |
NXOpen::SelectNXObjectList * | XformObjects () |
Returns the object to be transformed. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::StudioXform Features::StudioXform@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStudioXformBuilder Features::FeatureCollection::CreateStudioXformBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AdvancedMethod |
AdvanceOff |
CurveRange.AnchorPosition |
Start |
DegreesAndSegmentsOrPatches.Degree |
3 |
DegreesAndSegmentsOrPatches.SegmentsOrPatches |
1 |
DegreesAndSegmentsOrPatches.UDegree |
5 |
DegreesAndSegmentsOrPatches.UPatches |
1 |
DegreesAndSegmentsOrPatches.VDegree |
5 |
DegreesAndSegmentsOrPatches.VPatches |
1 |
FallOffScale |
0 |
FeatureSaveMethod |
Relative |
InsertKnotDirection |
UDirection |
InsertKnotParameter |
20 |
IsSingleSelection |
1 |
KeepAllContinuity |
0 |
LockRegionUEndFlexibility |
0 |
LockRegionUStartFlexibility |
0 |
LockRegionVEndFlexibility |
0 |
LockRegionVStartFlexibility |
0 |
PlanarizeDirection |
U |
PlanarizeMethod |
AtPlaneLocation |
PlanarizePlaneOption |
YcZc |
ProportionalAllU |
0 |
ProportionalAllV |
0 |
ProportionalFallOffScale |
0 |
ProportionalMoveAfterU |
0 |
ProportionalMoveAfterV |
0 |
ProportionalMoveBeforeU |
0 |
ProportionalMoveBeforeV |
0 |
RotationDirection |
Zc |
ScalingDirection |
Zc |
SurfaceRange.AnchorPosition |
Vertex1 |
TranslationDirection |
Zc |
Created in NX6.0.0.
Represents the advanced method type.
Represents the rotation direction type.
Represents the scaling direction type.
ScalingDirectionTypeScaleUniformly |
Scale uniformly. |
ScalingDirectionTypePlaneOfCurve | |
ScalingDirectionTypeXc |
Scale in X direction. |
ScalingDirectionTypeYc |
Scale in Y direction. |
ScalingDirectionTypeZc |
Scale in Z direction. |
ScalingDirectionTypeYcZc |
Scale on Y-Z plane. |
ScalingDirectionTypeXcZc |
Scale on X-Z plane. |
ScalingDirectionTypeXcYc |
Scale on X-Y plane. |
ScalingDirectionTypeArbitraryDirection |
Scale in arbitrary direction. |
ScalingDirectionTypeArbitraryPlane |
Scale on arbitrary plane. |
Represents the translation direction type.
Represents the Xform type.
NXOpen::Features::StudioXformBuilder::AdvancedMethodType NXOpen::Features::StudioXformBuilder::AdvancedMethod | ( | ) |
Returns the advanced method
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::StudioXformBuilder::CenterPoint | ( | ) |
Returns the scaling center type
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilder::ChangeDegree | ( | NXOpen::NXObject * | xformObject | ) |
Changes degree of the selected xform object
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to change degree of |
void NXOpen::Features::StudioXformBuilder::ChangeFlexibility | ( | NXOpen::NXObject * | xformObject | ) |
Changes flexibility of the selected xform object
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to change flexibility of |
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilder::ContinuityUMax | ( | ) |
Returns the continuity at U maximum
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilder::ContinuityUMin | ( | ) |
Returns the continuity at U minimum
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilder::ContinuityVMax | ( | ) |
Returns the continuity at V maximum
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilder::ContinuityVMin | ( | ) |
Returns the continuity at V minimum
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::ControlPoleManagerData* NXOpen::Features::StudioXformBuilder::ControlPoleManager | ( | ) |
Returns the control pole manager
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilder::ConvertParameters | ( | NXOpen::NXObject * | xformObject | ) |
Converts parameters of the feature that owns selected xform object.
Converts through points studio spline feature to by poles feature, otherwise removes parameters of the feature.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to convert pameters from |
NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::StudioXformBuilder::CurveRange | ( | ) |
Returns the curve range
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::StudioXformBuilder::DegreesAndSegmentsOrPatches | ( | ) |
Returns the degrees and segments or patches
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilder::FallOffReset | ( | ) |
Reset the fall off scale
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
double NXOpen::Features::StudioXformBuilder::FallOffScale | ( | ) |
Returns the fall off scale
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::FeatureType NXOpen::Features::StudioXformBuilder::FeatureSaveMethod | ( | ) |
Returns the feature save method
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilder::InsertKnot | ( | NXOpen::NXObject * | xformObject | ) |
Inserts knot in the selected xform object
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to insert knot in |
NXOpen::Features::StudioXformBuilder::InsertKnotDirectionType NXOpen::Features::StudioXformBuilder::InsertKnotDirection | ( | ) |
Returns the insert knot direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::InsertKnotParameter | ( | ) |
Returns the parameter where to insert knots
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilder::InsertKnots | ( | ) |
Insert knots
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StudioXformBuilder::IsSingleSelection | ( | ) |
Returns the single selection flag
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::StudioXformBuilder::KeepAllContinuity | ( | ) |
Returns a value indicating whether to keep all continuity
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::LockRegionUEndFlexibility | ( | ) |
Returns the lock region flexibility at U end
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::LockRegionUStartFlexibility | ( | ) |
Returns the lock region flexibility at U start
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::LockRegionVEndFlexibility | ( | ) |
Returns the lock region flexibility at V end
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::LockRegionVStartFlexibility | ( | ) |
Returns the lock region flexibility at V start
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::StudioXformBuilder::PivotPoint | ( | ) |
Returns the rotating center
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::StudioXformBuilder::PlanarizeArbitraryPlane | ( | ) |
Returns the planarize arbitrary plane
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::PlanarizeDirectionType NXOpen::Features::StudioXformBuilder::PlanarizeDirection | ( | ) |
Returns the planarize direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::PlanarizeMethodType NXOpen::Features::StudioXformBuilder::PlanarizeMethod | ( | ) |
Returns the planarize method
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::PlanarizePlaneOptionType NXOpen::Features::StudioXformBuilder::PlanarizePlaneOption | ( | ) |
Returns the planarize plane option
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::StudioXformBuilder::ProportionalAllU | ( | ) |
Returns a value indicating whether to use all poles in U direction during the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::StudioXformBuilder::ProportionalAllV | ( | ) |
Returns a value indicating whether to use all poles in V direction during the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::StudioXformBuilder::ProportionalFallOffScale | ( | ) |
Returns the proportional fall off scale
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::ProportionalMoveAfterU | ( | ) |
Returns a value indicating the pole number after u to participate in the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::ProportionalMoveAfterV | ( | ) |
Returns a value indicating the pole number after v to participate in the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::ProportionalMoveBeforeU | ( | ) |
Returns a value indicating the pole number before u to participate in the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilder::ProportionalMoveBeforeV | ( | ) |
Returns a value indicating the pole number before v to participate in the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilder::ProportionalReset | ( | ) |
Reset the proportional scale
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::StudioXformBuilder::RotatingPivotType NXOpen::Features::StudioXformBuilder::RotatingPivot | ( | ) |
Returns the rotating center type
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::StudioXformBuilder::RotationArbitraryPlane | ( | ) |
Returns the rotation arbitrary plane.
Used only when the RotationPlane is ArbitraryPlane.
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::StudioXformBuilder::RotationArbitraryVector | ( | ) |
Returns the rotation arbitrary vector.
Used only when the RotationDirection is ArbitraryDirection.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::RotationDirectionType NXOpen::Features::StudioXformBuilder::RotationDirection | ( | ) |
Returns the rotation direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::StudioXformBuilder::ScalingArbitraryPlane | ( | ) |
Returns the scaling arbitrary plane.
Used only when the ScalingDirection is ArbitraryPlane.
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::StudioXformBuilder::ScalingArbitraryVector | ( | ) |
Returns the scaling arbitrary vector.
Used only when the ScalingDirection is ArbitraryDirection.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::ScalingCenterType NXOpen::Features::StudioXformBuilder::ScalingCenter | ( | ) |
Returns the scaling center
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::ScalingDirectionType NXOpen::Features::StudioXformBuilder::ScalingDirection | ( | ) |
Returns the scaling direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilder::SetAdvancedMethod | ( | NXOpen::Features::StudioXformBuilder::AdvancedMethodType | advancedMethod | ) |
Sets the advanced method
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
advancedMethod | advancedmethod |
void NXOpen::Features::StudioXformBuilder::SetCenterPoint | ( | NXOpen::Point * | centerPoint | ) |
Sets the scaling center type
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
centerPoint | centerpoint |
void NXOpen::Features::StudioXformBuilder::SetFallOffScale | ( | double | fallOffScale | ) |
Sets the fall off scale
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
fallOffScale | falloffscale |
void NXOpen::Features::StudioXformBuilder::SetFeatureSaveMethod | ( | NXOpen::Features::StudioXformBuilder::FeatureType | featureSaveMethod | ) |
Sets the feature save method
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
featureSaveMethod | featuresavemethod |
void NXOpen::Features::StudioXformBuilder::SetInsertKnotDirection | ( | NXOpen::Features::StudioXformBuilder::InsertKnotDirectionType | insertKnotDirection | ) |
Sets the insert knot direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
insertKnotDirection | insertknotdirection |
void NXOpen::Features::StudioXformBuilder::SetInsertKnotParameter | ( | int | insertKnotSlider | ) |
Sets the parameter where to insert knots
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
insertKnotSlider | insertknotslider |
void NXOpen::Features::StudioXformBuilder::SetKeepAllContinuity | ( | bool | keepAllContinuity | ) |
Sets a value indicating whether to keep all continuity
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
keepAllContinuity | keepallcontinuity |
void NXOpen::Features::StudioXformBuilder::SetLockRegionUEndFlexibility | ( | int | lockRegionUEndFlexibility | ) |
Sets the lock region flexibility at U end
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockRegionUEndFlexibility | lockregionuendflexibility |
void NXOpen::Features::StudioXformBuilder::SetLockRegionUStartFlexibility | ( | int | lockRegionUStartFlexibility | ) |
Sets the lock region flexibility at U start
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockRegionUStartFlexibility | lockregionustartflexibility |
void NXOpen::Features::StudioXformBuilder::SetLockRegionVEndFlexibility | ( | int | lockRegionVEndFlexibility | ) |
Sets the lock region flexibility at V end
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockRegionVEndFlexibility | lockregionvendflexibility |
void NXOpen::Features::StudioXformBuilder::SetLockRegionVStartFlexibility | ( | int | lockRegionVStartFlexibility | ) |
Sets the lock region flexibility at V start
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockRegionVStartFlexibility | lockregionvstartflexibility |
void NXOpen::Features::StudioXformBuilder::SetPivotPoint | ( | NXOpen::Point * | pivotPoint | ) |
Sets the rotating center
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
pivotPoint | pivotpoint |
void NXOpen::Features::StudioXformBuilder::SetPlanarizeArbitraryPlane | ( | NXOpen::Plane * | planarizeArbitraryPlane | ) |
Sets the planarize arbitrary plane
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
planarizeArbitraryPlane | planarizearbitraryplane |
void NXOpen::Features::StudioXformBuilder::SetPlanarizeDirection | ( | NXOpen::Features::StudioXformBuilder::PlanarizeDirectionType | planarizeDirection | ) |
Sets the planarize direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
planarizeDirection | planarizedirection |
void NXOpen::Features::StudioXformBuilder::SetPlanarizeMethod | ( | NXOpen::Features::StudioXformBuilder::PlanarizeMethodType | planarizeMethod | ) |
Sets the planarize method
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
planarizeMethod | planarizemethod |
void NXOpen::Features::StudioXformBuilder::SetPlanarizePlaneOption | ( | NXOpen::Features::StudioXformBuilder::PlanarizePlaneOptionType | planarizePlaneOption | ) |
Sets the planarize plane option
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
planarizePlaneOption | planarizeplaneoption |
void NXOpen::Features::StudioXformBuilder::SetProportionalAllU | ( | bool | proportionalAllU | ) |
Sets a value indicating whether to use all poles in U direction during the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalAllU | proportionalallu |
void NXOpen::Features::StudioXformBuilder::SetProportionalAllV | ( | bool | proportionalAllV | ) |
Sets a value indicating whether to use all poles in V direction during the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalAllV | proportionalallv |
void NXOpen::Features::StudioXformBuilder::SetProportionalFallOffScale | ( | double | proportionalFallOffScale | ) |
Sets the proportional fall off scale
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalFallOffScale | proportionalfalloffscale |
void NXOpen::Features::StudioXformBuilder::SetProportionalMoveAfterU | ( | int | proportionalMoveAfterU | ) |
Sets a value indicating the pole number after u to participate in the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalMoveAfterU | proportionalmoveafteru |
void NXOpen::Features::StudioXformBuilder::SetProportionalMoveAfterV | ( | int | proportionalMoveAfterV | ) |
Sets a value indicating the pole number after v to participate in the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalMoveAfterV | proportionalmoveafterv |
void NXOpen::Features::StudioXformBuilder::SetProportionalMoveBeforeU | ( | int | proportionalMoveBeforeU | ) |
Sets a value indicating the pole number before u to participate in the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalMoveBeforeU | proportionalmovebeforeu |
void NXOpen::Features::StudioXformBuilder::SetProportionalMoveBeforeV | ( | int | proportionalMoveBeforeV | ) |
Sets a value indicating the pole number before v to participate in the proportional movement
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalMoveBeforeV | proportionalmovebeforev |
void NXOpen::Features::StudioXformBuilder::SetRotatingPivot | ( | NXOpen::Features::StudioXformBuilder::RotatingPivotType | rotatePivot | ) |
Sets the rotating center type
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotatePivot | rotatepivot |
void NXOpen::Features::StudioXformBuilder::SetRotationArbitraryPlane | ( | NXOpen::Plane * | rotateArbitraryPlane | ) |
Sets the rotation arbitrary plane.
Used only when the RotationPlane is ArbitraryPlane.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotateArbitraryPlane | rotatearbitraryplane |
void NXOpen::Features::StudioXformBuilder::SetRotationArbitraryVector | ( | NXOpen::Direction * | rotateArbitraryVector | ) |
Sets the rotation arbitrary vector.
Used only when the RotationDirection is ArbitraryDirection.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotateArbitraryVector | rotatearbitraryvector |
void NXOpen::Features::StudioXformBuilder::SetRotationDirection | ( | NXOpen::Features::StudioXformBuilder::RotationDirectionType | rotateDirection | ) |
Sets the rotation direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotateDirection | rotatedirection |
void NXOpen::Features::StudioXformBuilder::SetScalingArbitraryPlane | ( | NXOpen::Plane * | scaleArbitraryPlane | ) |
Sets the scaling arbitrary plane.
Used only when the ScalingDirection is ArbitraryPlane.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scaleArbitraryPlane | scalearbitraryplane |
void NXOpen::Features::StudioXformBuilder::SetScalingArbitraryVector | ( | NXOpen::Direction * | scaleArbitraryVector | ) |
Sets the scaling arbitrary vector.
Used only when the ScalingDirection is ArbitraryDirection.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scaleArbitraryVector | scalearbitraryvector |
void NXOpen::Features::StudioXformBuilder::SetScalingCenter | ( | NXOpen::Features::StudioXformBuilder::ScalingCenterType | scaleCenter | ) |
Sets the scaling center
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scaleCenter | scalecenter |
void NXOpen::Features::StudioXformBuilder::SetScalingDirection | ( | NXOpen::Features::StudioXformBuilder::ScalingDirectionType | scaleDirection | ) |
Sets the scaling direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scaleDirection | scaledirection |
void NXOpen::Features::StudioXformBuilder::SetSingleSelection | ( | bool | singleSelectionFlag | ) |
Sets the single selection flag
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
singleSelectionFlag | singleselectionflag |
void NXOpen::Features::StudioXformBuilder::SetTranslationArbitraryPlane | ( | NXOpen::Plane * | translateArbitraryPlane | ) |
Sets the translation arbitrary plane.
Used only when the TranslationDirection is ArbitraryPlane.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
translateArbitraryPlane | translatearbitraryplane |
void NXOpen::Features::StudioXformBuilder::SetTranslationArbitraryVector | ( | NXOpen::Direction * | translateArbitraryVector | ) |
Sets the translation arbitrary vector.
Used only when the TranslationDirection is ArbitraryDirection.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
translateArbitraryVector | translatearbitraryvector |
void NXOpen::Features::StudioXformBuilder::SetTranslationDirection | ( | NXOpen::Features::StudioXformBuilder::TranslationDirectionType | translateDirection | ) |
Sets the translation direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
translateDirection | translatedirection |
void NXOpen::Features::StudioXformBuilder::SetType | ( | NXOpen::Features::StudioXformBuilder::Types | type | ) |
Sets the type
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
type | type |
void NXOpen::Features::StudioXformBuilder::ShapeReset | ( | ) |
Reset the shape of a edited face or curve
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::SurfaceRangeBuilder* NXOpen::Features::StudioXformBuilder::SurfaceRange | ( | ) |
Returns the surface range
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::StudioXformBuilder::TranslationArbitraryPlane | ( | ) |
Returns the translation arbitrary plane.
Used only when the TranslationDirection is ArbitraryPlane.
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::StudioXformBuilder::TranslationArbitraryVector | ( | ) |
Returns the translation arbitrary vector.
Used only when the TranslationDirection is ArbitraryDirection.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::TranslationDirectionType NXOpen::Features::StudioXformBuilder::TranslationDirection | ( | ) |
Returns the translation direction
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilder::Types NXOpen::Features::StudioXformBuilder::Type | ( | ) |
Returns the type
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilder::UpdateLockRegionGeometry | ( | NXOpen::NXObject * | xformObject | ) |
Update lock region geometry with current geometry
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.2.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to change flexibility of |
void NXOpen::Features::StudioXformBuilder::UpdateXformObject | ( | NXOpen::NXObject * | xformObject | ) |
Updates the selected xform object
Use Features::StudioXformBuilderEx instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to be edited |
NXOpen::SelectNXObjectList* NXOpen::Features::StudioXformBuilder::XformObjects | ( | ) |
Returns the object to be transformed.
Any face having b-surface type geometry or curve having b-curve geometry can be transformed.
Created in NX6.0.0.
License requirements : None